---
title: Get AWS metric name filter preview
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > AWS Integration
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get AWS metric name filter preview{% #get-aws-metric-name-filter-preview %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                                         |
| ----------------- | -------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/aws/accounts/{aws_account_config_id}/metric_name_filter_preview |

### Overview

Preview which collected CloudWatch metrics would be filtered by the account's saved metric name filters. This endpoint requires the `aws_configuration_read` permission.

### Arguments

#### Path Parameters

| Name                                    | Type   | Description                                                                                                                                                                                                                                                 |
| --------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| aws_account_config_id [*required*] | string | Unique Datadog ID of the AWS Account Integration Config. To get the config ID for an account, use the [List all AWS integrations](https://docs.datadoghq.com/api/latest/aws-integration.md#list-all-aws-integrations) endpoint and query by AWS Account ID. |

### Response

{% tab title="200" %}
AWS metric name filter preview result
{% tab title="Model" %}
AWS metric name filter preview response body.

| Parent field | Field                         | Type     | Description                                                                                                                                                                                                                                                 |
| ------------ | ----------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]        | object   | AWS metric name filter preview response data.                                                                                                                                                                                                               |
| data         | attributes [*required*]  | object   | AWS metric name filter preview response attributes.                                                                                                                                                                                                         |
| attributes   | namespaces [*required*]  | [object] | The list of namespaces affected by the previewed metric name filters.                                                                                                                                                                                       |
| namespaces   | filters [*required*]     | [object] | The metric name filter patterns evaluated for this namespace and how many metrics they matched.                                                                                                                                                             |
| filters      | match_count [*required*] | int64    | The number of Datadog metric names matched by this pattern.                                                                                                                                                                                                 |
| filters      | pattern [*required*]     | string   | The metric name filter pattern.                                                                                                                                                                                                                             |
| namespaces   | metrics [*required*]     | [object] | The CloudWatch metrics collected for this namespace and whether each resulting Datadog metric is filtered.                                                                                                                                                  |
| metrics      | cw_name [*required*]     | string   | The CloudWatch metric name.                                                                                                                                                                                                                                 |
| metrics      | dd_names [*required*]    | [object] | The Datadog metric names produced from this CloudWatch metric.                                                                                                                                                                                              |
| dd_names     | filtered [*required*]    | boolean  | Whether this Datadog metric name is filtered out.                                                                                                                                                                                                           |
| dd_names     | name [*required*]        | string   | The Datadog metric name.                                                                                                                                                                                                                                    |
| namespaces   | namespace [*required*]   | string   | The AWS CloudWatch namespace.                                                                                                                                                                                                                               |
| data         | id [*required*]          | string   | Unique Datadog ID of the AWS Account Integration Config. To get the config ID for an account, use the [List all AWS integrations](https://docs.datadoghq.com/api/latest/aws-integration.md#list-all-aws-integrations) endpoint and query by AWS Account ID. |
| data         | type [*required*]        | enum     | The `AWSMetricNameFilterPreviewResponseData` `type`. Allowed enum values: `metric_name_filter_preview`                                                                                                                                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "namespaces": [
        {
          "filters": [
            {
              "match_count": 1,
              "pattern": "aws.ec2.network_in"
            }
          ],
          "metrics": [
            {
              "cw_name": "NetworkIn",
              "dd_names": [
                {
                  "filtered": true,
                  "name": "aws.ec2.network_in"
                }
              ]
            }
          ],
          "namespace": "AWS/EC2"
        }
      ]
    },
    "id": "00000000-abcd-0001-0000-000000000000",
    "type": "metric_name_filter_preview"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export aws_account_config_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/aws/accounts/${aws_account_config_id}/metric_name_filter_preview" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get AWS metric name filter preview returns "AWS metric name filter preview result" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.aws_integration_api import AWSIntegrationApi

configuration = Configuration()
configuration.unstable_operations["get_aws_metric_name_filter_preview"] = True
with ApiClient(configuration) as api_client:
    api_instance = AWSIntegrationApi(api_client)
    response = api_instance.get_aws_metric_name_filter_preview(
        aws_account_config_id="aws_account_config_id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get AWS metric name filter preview returns "AWS metric name filter preview result" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_aws_metric_name_filter_preview".to_sym] = true
end
api_instance = DatadogAPIClient::V2::AWSIntegrationAPI.new
p api_instance.get_aws_metric_name_filter_preview("aws_account_config_id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get AWS metric name filter preview returns "AWS metric name filter preview result" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetAWSMetricNameFilterPreview", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewAWSIntegrationApi(apiClient)
	resp, r, err := api.GetAWSMetricNameFilterPreview(ctx, "aws_account_config_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AWSIntegrationApi.GetAWSMetricNameFilterPreview`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `AWSIntegrationApi.GetAWSMetricNameFilterPreview`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get AWS metric name filter preview returns "AWS metric name filter preview result" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.AwsIntegrationApi;
import com.datadog.api.client.v2.model.AWSMetricNameFilterPreviewResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getAWSMetricNameFilterPreview", true);
    AwsIntegrationApi apiInstance = new AwsIntegrationApi(defaultClient);

    try {
      AWSMetricNameFilterPreviewResponse result =
          apiInstance.getAWSMetricNameFilterPreview("aws_account_config_id");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling AwsIntegrationApi#getAWSMetricNameFilterPreview");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get AWS metric name filter preview returns "AWS metric name filter preview
// result" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_aws_integration::AWSIntegrationAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetAWSMetricNameFilterPreview", true);
    let api = AWSIntegrationAPI::with_config(configuration);
    let resp = api
        .get_aws_metric_name_filter_preview("aws_account_config_id".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get AWS metric name filter preview returns "AWS metric name filter preview result" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getAWSMetricNameFilterPreview"] = true;
const apiInstance = new v2.AWSIntegrationApi(configuration);

const params: v2.AWSIntegrationApiGetAWSMetricNameFilterPreviewRequest = {
  awsAccountConfigId: "aws_account_config_id",
};

apiInstance
  .getAWSMetricNameFilterPreview(params)
  .then((data: v2.AWSMetricNameFilterPreviewResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
